<?php
/**
 * @file
 * Statistics tracker for cache_control
 */

/**
 * Updates statistics for a node
 *
 * @param integer $nid
 */
function cache_control_update_statistics($nid) {
  $nid = intval($nid);
  if ($nid > 0) {
    // update {node_counter} table
    db_query('UPDATE {node_counter} SET daycount = daycount + 1,
	          totalcount = totalcount + 1, timestamp = %d WHERE nid = %d',
      REQUEST_TIME, $nid
    );
    // If we affected 0 rows, this is the first time viewing the node.
    if (!db_affected_rows()) {
      // We must create a new row to store counters for the new node.
      db_query('INSERT INTO {node_counter} (nid, daycount, totalcount, timestamp)
	            VALUES (%d, 1, 1, %d)', $nid, REQUEST_TIME);
    }
  }
}

